<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: Utils/yamlmatlab/ReadYamlRaw.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0a824aa1f70ce3b829ef378253b085da.html">Utils</a></li><li class="navelem"><a class="el" href="dir_a8e1b37497156ef9f662c95c0317de5f.html">yamlmatlab</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">ReadYamlRaw.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a960e34bb516add76669197e05053db71"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#a960e34bb516add76669197e05053db71">ReadYamlRaw</a> (in filename, in verbose, in nosuchfileaction, in treatasdata)</td></tr>
<tr class="separator:a960e34bb516add76669197e05053db71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e28b27f73666588dc65f5da8fd8a09d"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#a0e28b27f73666588dc65f5da8fd8a09d">load_yaml</a> (in inputfilename, in nosuchfileaction, in treatasdata)</td></tr>
<tr class="separator:a0e28b27f73666588dc65f5da8fd8a09d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a379080c2b33d45b8fb06221a44bbdad1"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#a379080c2b33d45b8fb06221a44bbdad1">scan</a> (in r)</td></tr>
<tr class="separator:a379080c2b33d45b8fb06221a44bbdad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41729106723c2192f5ef81b250a62414"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#a41729106723c2192f5ef81b250a62414">scan_string</a> (in r)</td></tr>
<tr class="separator:a41729106723c2192f5ef81b250a62414"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24dc050d8f961773260c9ed0d8807504"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#a24dc050d8f961773260c9ed0d8807504">scan_numeric</a> (in r)</td></tr>
<tr class="separator:a24dc050d8f961773260c9ed0d8807504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cdd4d62a04a5aed374e4400779369a6"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#a5cdd4d62a04a5aed374e4400779369a6">scan_logical</a> (in r)</td></tr>
<tr class="separator:a5cdd4d62a04a5aed374e4400779369a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af09368a9f08eb8c00cba9863cdf8a9b0"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#af09368a9f08eb8c00cba9863cdf8a9b0">scan_datetime</a> (in r)</td></tr>
<tr class="separator:af09368a9f08eb8c00cba9863cdf8a9b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b5ee6d73a4d2d507864bf6417641047"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#a7b5ee6d73a4d2d507864bf6417641047">scan_list</a> (in r)</td></tr>
<tr class="separator:a7b5ee6d73a4d2d507864bf6417641047"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa019e2ac1da4322870dc06f1a3a23f0b"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#aa019e2ac1da4322870dc06f1a3a23f0b">scan_map</a> (in r)</td></tr>
<tr class="separator:aa019e2ac1da4322870dc06f1a3a23f0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7b37c7098de74b5e1c4e772bf67427e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#af7b37c7098de74b5e1c4e772bf67427e">iskw_import</a> (in r)</td></tr>
<tr class="separator:af7b37c7098de74b5e1c4e772bf67427e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a771f1bb580e522ce31dbe9470f94a6c1"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#a771f1bb580e522ce31dbe9470f94a6c1">perform_import</a> (in r)</td></tr>
<tr class="separator:a771f1bb580e522ce31dbe9470f94a6c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b5a4b0b3138c827e547683d330d3eab"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#a2b5a4b0b3138c827e547683d330d3eab">setverblevel</a> (in level)</td></tr>
<tr class="separator:a2b5a4b0b3138c827e547683d330d3eab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86c963877479733a45fbb36ec465aad0"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#a86c963877479733a45fbb36ec465aad0">getverblevel</a> ()</td></tr>
<tr class="separator:a86c963877479733a45fbb36ec465aad0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef61205c597da03c81526fd7014898a5"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_read_yaml_raw_8m.html#aef61205c597da03c81526fd7014898a5">info</a> (in level, in text, in value_to_display)</td></tr>
<tr class="separator:aef61205c597da03c81526fd7014898a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a86c963877479733a45fbb36ec465aad0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86c963877479733a45fbb36ec465aad0">&#9670;&nbsp;</a></span>getverblevel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function getverblevel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aef61205c597da03c81526fd7014898a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef61205c597da03c81526fd7014898a5">&#9670;&nbsp;</a></span>info()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function info </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>value_to_display</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af7b37c7098de74b5e1c4e772bf67427e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7b37c7098de74b5e1c4e772bf67427e">&#9670;&nbsp;</a></span>iskw_import()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function iskw_import </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e28b27f73666588dc65f5da8fd8a09d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e28b27f73666588dc65f5da8fd8a09d">&#9670;&nbsp;</a></span>load_yaml()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function load_yaml </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>inputfilename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>nosuchfileaction</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>treatasdata</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a771f1bb580e522ce31dbe9470f94a6c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a771f1bb580e522ce31dbe9470f94a6c1">&#9670;&nbsp;</a></span>perform_import()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function perform_import </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a960e34bb516add76669197e05053db71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a960e34bb516add76669197e05053db71">&#9670;&nbsp;</a></span>ReadYamlRaw()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function ReadYamlRaw </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>verbose</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>nosuchfileaction</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>treatasdata</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a379080c2b33d45b8fb06221a44bbdad1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a379080c2b33d45b8fb06221a44bbdad1">&#9670;&nbsp;</a></span>scan()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af09368a9f08eb8c00cba9863cdf8a9b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af09368a9f08eb8c00cba9863cdf8a9b0">&#9670;&nbsp;</a></span>scan_datetime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_datetime </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7b5ee6d73a4d2d507864bf6417641047"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b5ee6d73a4d2d507864bf6417641047">&#9670;&nbsp;</a></span>scan_list()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_list </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5cdd4d62a04a5aed374e4400779369a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cdd4d62a04a5aed374e4400779369a6">&#9670;&nbsp;</a></span>scan_logical()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_logical </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa019e2ac1da4322870dc06f1a3a23f0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa019e2ac1da4322870dc06f1a3a23f0b">&#9670;&nbsp;</a></span>scan_map()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_map </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a24dc050d8f961773260c9ed0d8807504"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24dc050d8f961773260c9ed0d8807504">&#9670;&nbsp;</a></span>scan_numeric()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_numeric </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a41729106723c2192f5ef81b250a62414"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41729106723c2192f5ef81b250a62414">&#9670;&nbsp;</a></span>scan_string()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_string </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b5a4b0b3138c827e547683d330d3eab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b5a4b0b3138c827e547683d330d3eab">&#9670;&nbsp;</a></span>setverblevel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function setverblevel </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>level</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
